Booklinker.API

<back to all web services

SignUpRequest

The following routes are available for this service:
POST/v1/signup
SignUpRequest Parameters:
NameParameterData TypeRequiredDescription
EmailbodystringYes
UrlbodystringYes
DomainbodystringNo
CodebodystringNo
AffiliateProgramGuidbodyGuidNo
AffiliateParametersbodyDictionary<string, string>No
SignUpResponse Parameters:
NameParameterData TypeRequiredDescription
SuccessformboolNo
HasAccountformboolNo
AccountConfirmedformboolNo
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/signup HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	email: String,
	url: String,
	domain: String,
	code: String,
	affiliateParameters: 
	{
		String: String
	}
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	success: False,
	hasAccount: False,
	accountConfirmed: False,
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}